﻿Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=1.80
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region
#Extends: android.support.v7.app.AppCompatActivity
'Activity module
Sub Process_Globals
End Sub

Sub Globals
	Private txtInput As EditText
	Private txtLog As EditText
	Private btnSend As Button
	
	Private ACToolBarLight1 As ACToolBarLight
	Private ToolbarHelper As ACActionBar
	Private sm As SlidingMenu
	Private ListView1 As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("2")
	ToolbarHelper.Initialize
	ToolbarHelper.ShowUpIndicator = False 'set to true to show the up arrow
	Dim bd As BitmapDrawable
	bd.Initialize(LoadBitmap(File.DirAssets, "hamburger.png"))
	ToolbarHelper.UpIndicatorDrawable =  bd
	ACToolBarLight1.InitMenuListener
	sm.Initialize("sm")
	Dim offset As Int = 100dip
	sm.BehindOffset = offset
	sm.Mode = sm.LEFT
	Dim lftMenu As Panel
	lftMenu.Initialize("")
	sm.Menu.AddView(lftMenu, 0, 0, 100%x - offset, 100%y)
	lftMenu.LoadLayout("Left")
	For i = 1 To 30
		ListView1.AddSingleLine("Item " & i)
	Next
End Sub

Public Sub NewMessage (msg As String)
	LogMessage("You", msg)
End Sub

Sub Activity_Resume
	UpdateState
End Sub

Public Sub UpdateState
	btnSend.Enabled = Starter.Manager.ConnectionState
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		Starter.Manager.Disconnect
	End If
End Sub

Sub txtInput_EnterPressed
	If btnSend.Enabled = True Then btnSend_Click
End Sub
Sub btnSend_Click
	Starter.Manager.SendMessage(txtInput.Text)
	txtInput.SelectAll
	txtInput.RequestFocus
	LogMessage("Me", txtInput.Text)
End Sub

Sub LogMessage(From As String, Msg As String)
	txtLog.Text = txtLog.Text & From & ": " & Msg & CRLF
	txtLog.SelectionStart = txtLog.Text.Length
End Sub
Sub ACToolBarLight1_NavigationItemClick
	sm.ShowMenu
End Sub